{ config, pkgs, hyper, ... }: 
{
  sops.secrets = {
    # "nx2site/namecheap.pw" = { };
    # "nx2site/cloudflare/api-token-dns-edit" = { };
    "nx2site/cloudflare/global-api-key-env" = { 
      owner = "root";
    };
  };
	services.cloudflare-dyndns = {
    pkgs = pkgs.cloudflare-dyndns;
    enable = true;    
    ipv4 = true;
    ipv6 = config.networking.enableIPv6;
    domains = [
      "${hyper.domain}"
      "*.${hyper.domain}"
      "ssh.${hyper.domain}"
    ];
    proxied = true;
    apiTokenFile = config.sops.secrets."nx2site/cloudflare/global-api-key-env".path;
  };
}
